Package org.eclipse.emf.cdo.explorer.checkouts

## Class ResourceSetConfigurer.Registry

- java.lang.Object
- - org.eclipse.emf.cdo.explorer.checkouts.ResourceSetConfigurer.Registry

- Enclosing interface:
    ResourceSetConfigurer

      @Deprecated
      public static final class ResourceSetConfigurer.Registry
      extends java.lang.Object

  Deprecated.
  As of 4.7.1 use org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Registry
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ResourceSetConfigurer.Registry` | `INSTANCE` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `configureResourceSet​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet, CDOCheckout checkout)` | Deprecated.
    `boolean` | `configureResourceSet​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet, CDOCheckout checkout, org.eclipse.net4j.util.container.IManagedContainer container)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ResourceSetConfigurer.Registry INSTANCE

      Deprecated.

  - ### Method Detail

    - #### configureResourceSet

          public boolean configureResourceSet​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet,
                                              CDOCheckout checkout,
                                              org.eclipse.net4j.util.container.IManagedContainer container)

      Deprecated.

    - #### configureResourceSet

          public boolean configureResourceSet​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet,
                                              CDOCheckout checkout)

      Deprecated.